Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QIconFactory Class Reference

The QIconFactory class is used to create pixmaps for a QIconSet. More...

`#include <qiconset.h>`

List of all member functions.

## Public Members

- QIconFactory ()
- virtual ~QIconFactory ()
- virtual QPixmap * createPixmap ( const QIconSet & iconSet, QIconSet::Size size, QIconSet::Mode mode, QIconSet::State state )
- void setAutoDelete ( bool autoDelete )
- bool autoDelete () const

## Static Public Members

- QIconFactory * defaultFactory ()
- void installDefaultFactory ( QIconFactory * factory )

## Detailed Description

The QIconFactory class is used to create pixmaps for a QIconSet.

By reimplementing createPixmap(), you can override QIconSet's default algorithm for computing pixmaps not supplied by the user.

Call setAutoDelete(TRUE) if you want the factory to automatically delete itself when it is no longer needed by QIconSet.

See also QIconSet and Advanced Widgets.

## Member Function Documentation

### QIconFactory::QIconFactory ()

Constructs an icon factory.

### QIconFactory::~QIconFactory ()`[virtual]`

Destroys the object and frees any allocated resources.

### bool QIconFactory::autoDelete () const

Returns TRUE if auto-deletion is enabled; otherwise returns FALSE.

See also setAutoDelete().

### QPixmap * QIconFactory::createPixmap ( const QIconSet & iconSet, QIconSet::Size size, QIconSet::Mode mode, QIconSet::State state )`[virtual]`

Ceates a pixmap for iconSet with a certain size, mode, and state. Returns 0 if the default QIconSet algorithm should be used to create a pixmap that wasn't supplied by the user.

It is the caller's responsibility to delete the returned pixmap.

The default implementation always returns 0.

### QIconFactory * QIconFactory::defaultFactory ()`[static]`

Returns the default icon factory.

See also installDefaultFactory().

### void QIconFactory::installDefaultFactory ( QIconFactory * factory )`[static]`

Replaces the default icon factory with factory.

### void QIconFactory::setAutoDelete ( bool autoDelete )

If autoDelete is TRUE, sets the icon factory to automatically delete itself when it is no longer referenced by any QIconSet and isn't the default factory. If autoDelete is FALSE (the default) auto-deletion is disabled.

See also autoDelete() and defaultFactory().

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.